<?php

session_start();

include "../conexion.php";

if (!empty($_POST)) {
    $alert = '';

        $idcliente = $_POST['id'];
        $ruc       = $_POST['ruc'];
        $nombre    = $_POST['nombre'];
        $telefono  = $_POST['telefono'];
        $direccion = $_POST['direccion'];

        $result = 0;

        if (is_numeric($ruc) and $ruc != 0) {
            $query = mysqli_query($conection, "SELECT * FROM cliente
                                               WHERE (ruc = '$ruc' AND idcliente != $idcliente)");



            $result = mysqli_fetch_array($query);
        }

        if ($result > 0) {
            $alert = '<center><p class="msg_error">El ruc ya existe, ingrese otro. <i class="fas fa-exclamation-triangle"></i></p></center>';
        } else {
            if ($ruc == '')
            {
                $ruc = 0;

            }

                $sql_update = mysqli_query($conection, "UPDATE cliente
															SET ruc = '$ruc', nombre='$nombre',telefono='$telefono',direccion='$direccion'
															WHERE idcliente= $idcliente ");

            if ($sql_update) {
                $alert = '<center><p class="msg_save">Cliente actualizado correctamente. <i class="fas fa-check-circle"></i></p></center>';
            } else {
                $alert = '<center><p class="msg_error">Error al actualizar el cliente. <i class="fas fa-exclamation-triangle"></i></p></center>';
            }
        }
    }


//Mostrar Datos
if (empty($_REQUEST['id'])) {
    header('Location: lista_clientes.php');
    mysqli_close($conection);
}
$idcliente = $_REQUEST['id'];

$sql = mysqli_query($conection, "SELECT * FROM cliente WHERE idcliente= $idcliente and estatus = 1");
mysqli_close($conection);
$result_sql = mysqli_num_rows($sql);

if ($result_sql == 0) {
    header('Location: lista_clientes.php');
} else {
    while ($data = mysqli_fetch_array($sql)) {

        $idcliente  = $data['idcliente'];
        $ruc        = $data['ruc'];
        $nombre     = $data['nombre'];
        $telefono   = $data['telefono'];
        $direccion  = $data['direccion'];
    }
}

?>

<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <?php include "includes/scripts.php"; ?>
    <title>Editar Cliente | SIS - FACTURACION</title>
    <link rel="icon" href="../img/logo_favicon_vigitronic.ico">
</head>

<body>
    <?php include "includes/header.php"; ?>
    <section id="container">

        <div class="form_register">
            <center>
                <h1><i class="fas fa-edit"></i> Editar Cliente</h1>
            </center>
            <hr>
            <div class="alert"><?php echo isset($alert) ? $alert : ''; ?></div>

            <form action="" method="post">
                <input type="hidden" name="id" value="<?php echo $idcliente; ?>">
                <label for="ruc">RUC</label>
                <input type="text" name="ruc" id="ruc" placeholder="Numero de RUC" value="<?php echo $ruc; ?>">
                <label for="nombre">Razon social</label>
                <input type="text" name="nombre" id="nombre" placeholder="Nombre completo" value="<?php echo $nombre; ?>">
                <label for="telefono">Contacto</label>
                <input type="text" name="telefono" id="telefono" placeholder="Telefono" value="<?php echo $telefono; ?>">
                <label for="direccion">Referencia</label>
                <input type="text" name="direccion" id="direccion" placeholder="Direccion completa" value="<?php echo $direccion; ?>">

                <button type="submit" class="btn_save"><i class="fas fa-edit"></i> Editar cliente</button>

            </form>



        </div>


    </section>
    <?php include "includes/footer.php"; ?>
</body>

</html>